from django.urls import path
from core import views

app_name = 'core_auth'

urlpatterns = [
    path('login/', views.LoginView.as_view(), name='login'),
    path('login/magic/', views.MagicLinkSendView.as_view(), name='magic_link_send'),
    path('login/verify/<uuid:token>/', views.MagicLinkVerifyView.as_view(), name='magic_link_verify'),
    path('logout/', views.LogoutView.as_view(), name='logout'),
]
